##
##  cufon.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         cufon
Summary:      Font Conversion and Rendering for JavaScript
URL:          http://cufon.shoqolate.com/
Vendor:       Simo Kinnunen
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      MIT
Version:      20120414
Release:      20120414

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/cufon/cufon-%{version}.tar.gz
Patch0:       cufon.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
PreReq:       php
PreReq:       php::with_xml = yes
PreReq:       php::with_simplexml = yes
PreReq:       php::with_mbstring = yes
PreReq:       php::with_json = yes
PreReq:       fontforge

%description
    Cufon allows rendering TTF and OTF fonts on webpages. It consists of
    two parts: a font generator which converts fonts to a proprietary
    JSON-encoded format, and a rendering engine written in JavaScript.

%track
    prog cufon = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/cufon/
        regex     = cufon-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n cufon
    %patch -p0

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/cufon \
        $RPM_BUILD_ROOT%{l_prefix}/share/cufon/fonts
    %{l_shtool} install -c -m 644 \
        js/cufon.js $RPM_BUILD_ROOT%{l_prefix}/share/cufon/
    %{l_shtool} install -c -m 644 \
        fonts/Vegur.font.js $RPM_BUILD_ROOT%{l_prefix}/share/cufon/fonts/Vegur.cufon.js
    %{l_shtool} install -c -m 644 \
        generate/lib/* $RPM_BUILD_ROOT%{l_prefix}/lib/cufon/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        generate/convert.php $RPM_BUILD_ROOT%{l_prefix}/bin/cufon
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

